summary refs log tree commit diff
diff options
context:
space:
mode:
authorRobert Günzler <r@gnzler.io>2020-04-10 13:57:48 +0200
committerRobert Günzler <r@gnzler.io>2020-04-10 13:57:48 +0200
commit2292ee099d45843574541b7806a21e2f82c2bd1b (patch)
treec329afc1f87779c2f5c4942c4beb195e14f9844a
parent6b59e79946019b8ac9fcb25d85d9683cb90467cf (diff)
Add bin/hibiki/vncez and move wfez to bin/hibiki
-rwxr-xr-xbin/hibiki/vncez15
-rwxr-xr-xbin/hibiki/wfez (renamed from bin/wfez)0
2 files changed, 15 insertions, 0 deletions
diff --git a/bin/hibiki/vncez b/bin/hibiki/vncez
new file mode 100755
index 0000000..021c35b
--- /dev/null
+++ b/bin/hibiki/vncez
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+set -e
+trap '{ pkill wshowkeys; pkill wayvnc; pkill remmina; }' EXIT
+
+echo "=> starting wshowkeys"
+swaymsg exec "wshowkeys -a bottom -a left -F 'Iosevka Sparkle 25' -t 1" >/dev/null
+echo "=> starting wayvnc"
+swaymsg exec "wayvnc 0.0.0.0 5500" >/dev/null
+echo "=> starting remmina"
+swx -g "1820,50 720x450" -b none -s -I "org.remmina.Remmina" remmina -c $HOME/.local/share/remmina/group_vnc_wayvnc_localhost-5500.remmina
+
+while true; do
+	sleep $((1024*1024))
+done
diff --git a/bin/wfez b/bin/hibiki/wfez
index d2f296c..d2f296c 100755
--- a/bin/wfez
+++ b/bin/hibiki/wfez